- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
exp
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Exponential and logarithmic functions

Exponential of input. More...

## Functions
AFAPI array | exp (const array &in)
| C++ Interface for exponential of an array. More...
AFAPI af_err | af_exp (af_array *out, const af_array in)
| C Interface for exponential of an array. More...

## Detailed Description

Exponential of input.

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_exp | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for exponential of an array.

Parameters

  [out] | out | will contain the exponential of `in`
  [in] | in | is exponent

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::exp | ( | const array & | in | ) |

C++ Interface for exponential of an array.

Parameters

  [in] | in | is exponent

Returns
  the exponential of `in`

Examples:
  black_scholes_options.cpp, brain_segmentation.cpp, heston_model.cpp, monte_carlo_options.cpp, and softmax_regression.cpp.